计算机教程

CUDA与cudnn安装教程(非服务器)

5 10月 , 2019  

 太不容易了,经过了长期的奋斗,先后解决了nvidia显卡驱动不能识别;gcc编译找不到include
文件;mp3格式文件的播放;中文字体安装和中文环境配置;scim中文输入法安装;avi、mpeg格式文件播放;rm、rmvb格式文件播放(以及能播放图像,但没声音)等问题。现在我的Ubuntu终于可以逐渐取代Windows了!

前言

本教程的内容是在以下两篇教程的基础上进行补充和更改,该教程针对的是想在自己电脑(GTX系列显卡)ubuntu系统上安装gpu版tensorflow的同学,服务器版本(TESLA)的cuda的安装需要在该版的基础上进行一些修改。该教程为初稿,安装过程中遇到问题的同学记得找我交流,我会根据遇到的问题对该教程进行修改。
深度学习主机环境配置: Ubuntu16.04+Nvidia GTX
1080+CUDA8.0上

深度学习主机环境配置: Ubuntu16.04+Nvidia GTX
1080+CUDA8.0下

  现在把这些东西贴出来,给大家分享以下吧:

安装流程

  nvidia显卡(go 7300)驱动:

1.安装驱动

安装 Nvidia 驱动命令

sudo add-apt-repository ppa:graphics-drivers/ppa

第一次运行出现如下的警告:

图片 1

回车后继续:

sudo apt-get update
sudo apt-get install nvidia-367
sudo apt-get install mesa-common-dev
sudo apt-get install freeglut3-dev

之后重启系统让显卡驱动生效。

  安装所有更新(觉得一些lib组件需要重新安装才行),下载nvidia相应驱动程序,注销图形界面;

2.安装cuda

下载CUDA
https://developer.nvidia.com/cuda-downloads
这里选择了Ubuntu16.04系统runfile安装方案

图片 2

不想下载的同学可以找我拷或者是网盘下载

安装前需在计算机的opt文件夹中新建文件夹temp

sudo nautilus

图片 3

还需更改gcc版本(gcc高于4.9就会安装失败):

sudo apt-get install gcc-4.9 g++-4.9
cd /usr/bin
rm gcc g++
ln -s gcc-4.9 gcc
ln -s g++-4.9 g++

下载的“cuda_8.0.27_linux.run”有1.4G,按照Nivdia官方给出的方法安装CUDA8:

sudo sh cuda_8.0.27_linux.run –tmpdir=/opt/temp/

执行后会有一系列提示让你确认,非常非常非常非常关键的地方是是否安装361这个低版本的驱动:

Install NVIDIA Accelerated Graphics Driver for Linux-x86_64 361.62?

答案必须是n,否则之前安装的GTX1080驱动就白费了,而且问题多多。

图片 4

图片 5

安装成功后会出现以下结果

图片 6

安装完毕后,再声明一下环境变量,并将其写入到 ~/.bashrc 的尾部:

export PATH=/usr/local/cuda8.0/bin${PATH:+:${PATH}}

export
LD_LIBRARY_PATH=/usr/local/cuda-8.0/lib64${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}

最后再来测试一下CUDA,运行:

nvidia-smi

结果如下所示:

图片 7

  切换至命令行终端;

3.安装cudnn

下载cudnn
https://developer.nvidia.com/cudnn

安装cuDNN比较简单,解压后把相应的文件拷贝到对应的CUDA目录下即可:

tar -zxvf cudnn-8.0-linux-x64-v5.0-ga.tgz

cuda/include/cudnn.h
cuda/lib64/libcudnn.so
cuda/lib64/libcudnn.so.5
cuda/lib64/libcudnn.so.5.0.5
cuda/lib64/libcudnn_static.a

sudo cp cuda/include/cudnn.h /usr/local/cuda/include/

sudo cp cuda/lib64/libcudnn* /usr/local/cuda/lib64/

sudo chmod a+r /usr/local/cuda/include/cudnn.h

sudo chmod a+r /usr/local/cuda/lib64/libcudnn*

可能遇到的问题:

图片 8

出现此问题表示cudnn版本与显卡不匹配,需要更换cudnn版本,我的电脑装了cudnn-7.0就可以用了

1.删除原版cudnn
找到上面代码里复制的文件,全部删除
2.安装其他版本的cudnn
模仿上面的代码,改下解压的文件


相关文章

发表评论

电子邮件地址不会被公开。 必填项已用*标注

网站地图xml地图